#ifndef _YGGDRASIL_WCHAR_H
#define _YGGDRASIL_WCHAR_H 1

#if defined(__cplusplus)
extern "C" {
#endif

int fwprintf(FILE *fp, const wchar_t *fmt, ...);
int fwscanf(FILE *fp, const wchar_t *fmt, ...);
int swprintf(wchar_t *buf, size_t len, const wchar_t *fmt, ...);
int swscanf(const wchar_t *buf, const wchar_t *fmt, ...);
int wprintf(const wchar_t *fmt, ...);
int wscanf(const wchar_t *fmt, ...);

#if defined(__cplusplus)
}
#endif

#endif
